org.appng.core.controller.rest

## Class RestPostProcessor

- java.lang.Object
- - org.appng.core.controller.rest.RestPostProcessor

- All Implemented Interfaces:
    org.springframework.beans.factory.config.BeanFactoryPostProcessor, org.springframework.beans.factory.support.BeanDefinitionRegistryPostProcessor, org.springframework.core.Ordered

      public class RestPostProcessor
      extends Object
      implements org.springframework.beans.factory.support.BeanDefinitionRegistryPostProcessor, org.springframework.core.Ordered

  A `BeanDefinitionRegistryPostProcessor` that registers a `RestAction`, `RestDataSource` and a `RestOperation.RestErrorHandler`.

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.core.Ordered

      `HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RestPostProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOrder()`
    `void` | `postProcessBeanDefinitionRegistry(org.springframework.beans.factory.support.BeanDefinitionRegistry registry)`
    `void` | `postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RestPostProcessor

          public RestPostProcessor()

  - ### Method Detail

    - #### postProcessBeanDefinitionRegistry

          public void postProcessBeanDefinitionRegistry(org.springframework.beans.factory.support.BeanDefinitionRegistry registry)
                                                 throws org.springframework.beans.BeansException

      Specified by:
        `postProcessBeanDefinitionRegistry` in interface `org.springframework.beans.factory.support.BeanDefinitionRegistryPostProcessor`
      Throws:
        `org.springframework.beans.BeansException`

    - #### postProcessBeanFactory

          public void postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)
                                      throws org.springframework.beans.BeansException

      Specified by:
        `postProcessBeanFactory` in interface `org.springframework.beans.factory.config.BeanFactoryPostProcessor`
      Throws:
        `org.springframework.beans.BeansException`

    - #### getOrder

          public int getOrder()

      Specified by:
        `getOrder` in interface `org.springframework.core.Ordered`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.